Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.consumer.interceptor
Enum Status.OnIOFailure

    java.lang.Object
      java.lang.Enum<Status.OnIOFailure>
          com.bea.wsrp.consumer.interceptor.Status.OnIOFailure

All Implemented Interfaces
  Serializable, Comparable<Status.OnIOFailure>

Enclosing interface:
  Status

    public static enum Status.OnIOFailure

extends Enum<Status.OnIOFailure>

The possible return values for the onIOFailure method of an interceptor.

Enum Constant Summary
`ABORT_CHAIN` Aborts executing rest of the interceptors in a chain.
`CONTINUE_CHAIN` Continues executing interceptors chain.
`HANDLED` Indicates that an interceptor has handled an I/O failure and populated the response context with the markup for a particular portlet, and aborts executing rest of the interceptors in a chain.
`RETRY` Retries the previous WSRP operation..

Method Summary
`static Status.OnIOFailure` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Status.OnIOFailure[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE_CHAIN

    public static final Status.OnIOFailure CONTINUE_CHAIN

  Continues executing interceptors chain.

### ABORT_CHAIN

    public static final Status.OnIOFailure ABORT_CHAIN

  Aborts executing rest of the interceptors in a chain.

### RETRY

    public static final Status.OnIOFailure RETRY

  Retries the previous WSRP operation..

  The number of retry attempts is 1 per I/O failure per WSRP request. This also aborts executing rest of the interceptors in a chain.

### HANDLED

    public static final Status.OnIOFailure HANDLED

  Indicates that an interceptor has handled an I/O failure and populated the response context with the markup for a particular portlet, and aborts executing rest of the interceptors in a chain.

Method Detail

### values

    public static final Status.OnIOFailure[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static Status.OnIOFailure valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved